
local meta = FindMetaTable( "Player" )


// This is totally in the wrong place. 
function player.GetByUniqueID( ID )

	for _, pl in pairs( player.GetAll() ) do

		if ( pl:IsValid() && pl:IsPlayer() && pl:UniqueID() == ID )	then
			return pl
		end
		
	end

	return false
end


// Return if there's nothing to add on to
if (!meta) then return end


/*---------------------------------------------------------
   Name:	DebugInfo
   Params: 	
   Desc:	Prints debug information for the player
			( this is just an example )
---------------------------------------------------------*/  
function meta:DebugInfo()

	Msg( "Name: " .. self:Name() .. "\n" )
	Msg( "Pos: " .. tostring( self:GetPos() ) .. "\n" )

end

// Helpful aliases
meta.GetName 	= meta.Nick
meta.Name 		= meta.Nick
